/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.bittorrent.client;

import java.io.IOException;
import java.net.ServerSocket;
import java.util.Timer;
import java.util.TimerTask;

import org.klomp.snark.ConnectionAcceptor;
import org.klomp.snark.MetaInfo;
import org.klomp.snark.PeerAcceptor;
import org.klomp.snark.PeerCoordinator;
import org.klomp.snark.Storage;
import org.klomp.snark.StorageListener;
import org.klomp.snark.TrackerClient;

public interface ClientBittorrent {

	public int getUserPort();
	public StorageListener getStorageListener();
	public String getTorrentURL();
	public TrackerClient getTrackerclient();
	public ServerSocket getServerSocket();
	public ConnectionAcceptor getAcceptor();
	public PeerCoordinator getCoordinator();
	public String getDirDestDownload();
	public MetaInfo getMetaInfo();
	public PeerAcceptor getPeeracceptor();
	public Storage getStorage();
	
	public boolean isCompleteDownload();
	public boolean isMonitoredTask();
	public void setMonitorTask(boolean monitorTask);

	
	public void stopClientTracker()throws IOException;
	public void buildStorage(StorageListener slistener) throws IOException;
	public void startClientTracker() throws IOException;
}
