/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.bittorrent.client;

import java.io.IOException;

import org.klomp.snark.Storage;
import org.klomp.snark.StorageListener;
import org.openmobileis.common.util.log.LogManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class OpenMISStorageListener implements StorageListener {

	private ClientBittorrent client = null;
	private boolean ignore = false;
	
	public OpenMISStorageListener(ClientBittorrent client){
		this.client = client;
	}
	
	public void setClientBittorrent(ClientBittorrent client) {
		this.client = client;
	}

	public void storageAllChecked(Storage storage) {
		
		/*System.out.println("storageAllChecked pass methode : "+ storage.getMetaInfo().getName());
		if(storage.complete()){
			try {
				System.out.println("CLIENT TORRENT STOPED : "+client);
				//client.stopClientTracker();
				
			} catch (Exception e) {
				e.printStackTrace();
			}
		}*/
	}
	
	public void setIgnore(boolean ignore){
		this.ignore = ignore;
	}

	public boolean isIgnore(){
		return ignore;
	}

	public void storageAllocated(Storage storage, long length) {
		//System.out.println("storageAllocated pass methode : "+ storage.getMetaInfo().getName());
	}


	public void storageChecked(Storage storage, int num, boolean checked) {
		//System.out.println("storageChecked pass methode : "+ storage.getMetaInfo().getName());
	}


	public void storageCreateFile(Storage storage, String name, long length) {
		//System.out.println("storageCreateFile pass methode : "+ storage.getMetaInfo().getName());
	}
	
	public void storageCompleted(Storage storage) {
		//System.out.println("storageCompleted pass methode : "+ storage.getMetaInfo().getName());
		if(storage.complete()){
			try {
				//Thread.sleep(1000);
				if(isIgnore() == false){
					System.out.println("STORAGE COMPLETE WITH : "+ storage.getMetaInfo().getName());
					client.stopClientTracker();
				}
				
			} catch (Exception e) {
				LogManager.traceError(0, e);
			}
		}
	}
	
	public ClientBittorrent getClientBittorrent() {
		return client;
	}

}
