/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.bittorrent.tracker;

import java.io.File;
import java.io.IOException;

/**
 * @author Manuel GOMEZ-ROSADO
 *
 */
public class TestBittorrentTracker {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		try {
			TrackerBittorrent tracker = new OpenMISTrackerBittorrent("192.168.0.102"
					, OpenMISTrackerBittorrent.DEFAULT_PORT);
			
			tracker.addFileToTracker(
					new File(System.getProperty("user.dir")+"/ressources_test/bittorrent/share/Sandra")
					,System.getProperty("user.dir")+"/ressources_test/bittorrent/torrent/sandra.torrent");
			
			tracker.addFileToTracker(
					new File(System.getProperty("user.dir")+"/ressources_test/bittorrent/share/tellusSynchro.avi")
					,System.getProperty("user.dir")+"/ressources_test/bittorrent/torrent/tellus.torrent");
			
			
			//---------- Test avec fichier distant : OK ---------------
			/*File file = new File("/\\192.168.0.105\\usb\\How I Met 3x01.avi");	
			tracker.addFileToTracker(
					file
					,System.getProperty("user.dir")+"/ressources/torrent/fred.torrent");*/
			
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
