/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.bittorrent.tracker;

import java.io.File;

import org.klomp.snark.HttpAcceptor;
import org.klomp.snark.StorageListener;
import org.klomp.snark.Tracker;
import org.openmis.bittorrent.common.exception.BittorrentException;

public interface TrackerBittorrent {
	
	public Tracker getTracker();
	public StorageListener getStorageListener();
	public HttpAcceptor getHttpAcceptor();
	public String getIP();
	public int getPort();
	public void addFileToTracker(File shareFile, String torrentDestFile) throws BittorrentException;
}
