/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.layers.impl;

import java.io.File;
import java.io.IOException;
import java.io.Serializable;

import org.openmis.tellus.layers.DistantInfoableLayer;
import org.openmis.tellus.layers.DistantInteraction;

public class DefaultDistantInfoableLayer extends DefaultDistantLayer implements DistantInfoableLayer , Serializable {
	public static final long serialVersionUID = 5521257935120563452L;

	private DistantInteraction interaction = null;
	
	public DefaultDistantInfoableLayer(File file, DistantInteraction interaction) throws IOException{
		super(file);
		this.interaction = interaction;
	}
	
	public DefaultDistantInfoableLayer(File file) throws IOException{
		super(file);
	}
	
	public DistantInteraction getDistantInteraction() {
		return interaction;
	}

}
