/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.layers.impl;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Serializable;

import org.openmis.tellus.layers.DistantInteraction;

public class DefaultDistantInteraction implements DistantInteraction, Serializable {
	public static final long serialVersionUID = 5521257935120563452L;

	private String fieldNameLink = null;
	private Class linkedClasse = null;
	
	
	public DefaultDistantInteraction(String fieldNameLink, Class linkedClasse){
		this.fieldNameLink = fieldNameLink;
		this.linkedClasse = linkedClasse;
	}
	
	public DefaultDistantInteraction(String fieldNameLink){
		this.fieldNameLink = fieldNameLink;
	}
	
	public String getGeoFieldLinker() {
		return fieldNameLink;
	}
	
	public void setGeoFieldLinker(String fieldNameLink) {
		this.fieldNameLink = fieldNameLink;
	}
	
	public Class getLinkedClasse() {
		return linkedClasse;
	}
	
	public void setLinkedClasse(Class linkedClasse) {
		this.linkedClasse = linkedClasse;
	}
	
}
