/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.layers.symbo;

import java.awt.Color;
import java.io.Serializable;
import java.util.Hashtable;


/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DefaultDistantLayerSymbology implements DistantLayerSymbology , Serializable {
	public static final long serialVersionUID = 5521257935120563452L;

	private Color color = null;
	private Color colorFilled = null;
	private boolean isFilled;
	private int size = 1;
	
	private IconSymbology iconSymbology = null;
	
	
	public DefaultDistantLayerSymbology(){
		super();
	}
	
	
	public void setColor(Color color) {
		this.color = color;
	}
	
	public void setColorFilled(Color colorFilled) {
		this.colorFilled = colorFilled;
	}
	
	public void setFilled(boolean isFilled) {
		this.isFilled = isFilled;
	}
	
	public void setIconSymbology(IconSymbology iconSymbology) {
		this.iconSymbology = iconSymbology;
	}
	
	public void setSize(int size) {
		if(size > 0)
			this.size = size;
	}
	

	public Color getColor() {
		return color;
	}
	
	public Color getColorFilled() {
		return colorFilled;
	}
	
	public IconSymbology getIconSymbology() {
		return iconSymbology;
	}
	
	public int getSize() {
		return size;
	}
	
	public boolean isFilled() {
		return isFilled;
	}
}
