/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.layers.symbo;

import java.io.Serializable;

public class IconDynamique implements Serializable {
	public static final long serialVersionUID = 5521257935120563452L;
	
	private String value = null;
	private String iconName = null;
	
	private boolean isButtonEdit = false;
	private boolean isSelectableButton = false;
	private boolean isActionableButton = false;
	private String iconButtonName = null;
	private String iconButtonSelectName = null;
	
	public IconDynamique(String value, String iconName){
		this.iconName = iconName;
		this.value = value;
	}
	
	public IconDynamique(){	
	}
	
	public void setButtonEdit(boolean isButtonEdit) {
		this.isButtonEdit = isButtonEdit;
	}
	public void setIconButtonName(String iconButtonName) {
		this.iconButtonName = iconButtonName;
	}
	public void setIconButtonSelectName(String iconButtonSelectName) {
		this.iconButtonSelectName = iconButtonSelectName;
	}
	public void setIconName(String iconName) {
		this.iconName = iconName;
	}
	public void setSelectableButton(boolean isSelectableButton) {
		this.isSelectableButton = isSelectableButton;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public void setActionableButton(boolean isActionableButton) {
		this.isActionableButton = isActionableButton;
	}
	
	public String getIconButtonName() {
		return iconButtonName;
	}
	public String getIconButtonSelectName() {
		return iconButtonSelectName;
	}
	public String getIconName() {
		return iconName;
	}
	public String getValue() {
		return value;
	}
	public boolean isButtonEdit() {
		return isButtonEdit;
	}
	public boolean isSelectableButton() {
		return isSelectableButton;
	}
	public boolean isActionableButton() {
		return isActionableButton;
	}
	
	
}
