/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.project;

import java.io.File;

public interface DistantGPSManager {
	public void setAutoGenerationFile(File autoGenerationFile);
	public void setSimulationFile(File simulationFile);
	public void setTrackerFile(File trackerFile);
	public void setViewGPSPosition(boolean viewGPSPosition);
	
	public boolean isViewGPSPosition();
	public boolean isSimulationFile();
	public boolean isAutoGenerationFile();
	public boolean isTrackerFile();
	
	public File getSimulationFile();
	public File getAutoGenerationFile();
	public File getTrackerFile();
	
	public String getSimulationFilePath();
	public String getAutoGenerationFilePath();
	public String getTrackerFilePath();
}
