/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.project;

import java.util.List;

import org.openmis.tellus.layers.DistantInfoableLayer;
import org.openmis.tellus.layers.DistantLayer;

public interface DistantProject {
	public String getUniqueProjectName();
	public java.util.Hashtable getDistantLayersTable();
	public List getClassifiedDistantLayersList();
	public List getInfoableLayers();
	public List getEditableLayers();
	public List getNormalLayers();
	public DistantLayer getDistantLayer(String geoFileName);
	public DistantLayer getDistantLayer(Class classLink);
	public void addDistantLayer(DistantLayer layer);
	public void removeDistantLayer(DistantLayer layer);
	
	public void setGPSManager(DistantGPSManager manager);
	public DistantGPSManager getGPSManager();
}
