/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.project.impl;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.List;

import org.openmis.tellus.project.DistantProject;
import org.openmis.tellus.project.DistantProjectFactory;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.DatabaseException;

public class DistantProjectFactoryMemory implements DistantProjectFactory {

	private Hashtable prjs = null;
	private Array list = null;
	
	public DistantProjectFactoryMemory(){
		this.prjs = new Hashtable();
		list = new Array();
	}	
	
	public void delete(String namePrj) throws DatabaseException {
		this.prjs.remove(namePrj);
	}

	public DistantProject getDistantProject(String namePrj) throws DatabaseException {
		return (DistantProject)this.prjs.get(namePrj);
	}

	public Array getDistantProjects() throws DatabaseException {
		list.clear();
		Enumeration enume = this.prjs.elements();
		while(enume.hasMoreElements()){
			list.add(enume.nextElement());
		}
		return list;
	}

	public void store(DistantProject i) throws DatabaseException {
		this.prjs.put(i.getUniqueProjectName(), i);
	}
	
	public void setProjectAsCurrent(String nameprj) {
		if(nameprj != null){
			currentProjectName = nameprj;
		}
	}
	
	private String currentProjectName = null;
	public DistantProject getCurrentDistantProject() throws DatabaseException {
		if(currentProjectName != null)
			return getDistantProject(currentProjectName);
		return null;
	}

}
