/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.services.distant;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.embedded.util.SystemAPI;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

public class OpenMISLauncherService extends Service {

	public void run(HttpServletRequest req, HttpServletResponse res)throws ServletException, IOException {
		String uri = req.getParameter("uri");
		if(uri == null || uri.length() == 0){
			res.sendError(HttpServletResponse.SC_NOT_FOUND, "Invalid Request");
		}else{
			String port = Integer.toString(req.getServerPort());
			String addr = req.getServerName();
			
			try{
				//System.loadLibrary("systemAPI");
				LogManager.traceInfo(0, "Open Pocket IE : "+PropertiesManager.getManager().getProperty("org.openmobileis.embedded.execprog.browser"));
				SystemAPI.getManager().execProgram(PropertiesManager.getManager().getProperty("org.openmobileis.embedded.execprog.browser")
										, "http://"+addr+":"+port+ServiceManager.getManager().getServiceBaseURI()+uri);	//add long to avoid IE cache
			}catch(Throwable ex){
				LogManager.traceError(0,"Error OpenMISLauncherService, Library systemAPI not FOUND : "+ex);
			}
		}

	}


	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/com/service/launcher";
	}

}
