/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.common.data;

import java.io.Serializable;

import org.openmobileis.common.util.UniqueIdGenerator;
import org.openmobileis.common.util.collection.Array;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class DefaultIntervention implements Intervention, Serializable{
	public static final long serialVersionUID = 5521257935120563452L;

	private String idInter;
	private String codeTech;
	
	private String nomClient;
	
	private String demande;
	private String equipement;
	private String consigne;
	private String resume;
	
	private long dateDebut;
	private long dateFin;
	private int duree;
	
	private String adress;
	private Array reports;
	
	private int statut;
	private int priorite;
	
	private double coordx;
	private double coordy;
	
	
	public DefaultIntervention(String idInter) {
		super();
		this.idInter = idInter;
	}
	public DefaultIntervention() {
		super();
		this.idInter = UniqueIdGenerator.getManager().getNewStringID();
	}
	
	public DefaultIntervention(String idInter, double coordx, double coordy) {
		super();
		this.idInter = idInter;
		this.coordx = coordx;
		this.coordy = coordy;
	}
	public DefaultIntervention(double coordx, double coordy) {
		super();
		this.idInter = UniqueIdGenerator.getManager().getNewStringID();
		this.coordx = coordx;
		this.coordy = coordy;
	}
	
	public String getIDInter(){
		return this.idInter;
	}
	
	public void setCoordx(double coordx) {
		this.coordx = coordx;
	}
	
	public void setCoordy(double coordy) {
		this.coordy = coordy;
	}
	
	public double getCoordx() {
		return coordx;
	}
	
	public double getCoordy() {
		return coordy;
	}
	
	public void setCodeTech(String codeTech) {
		this.codeTech = codeTech;
	}
	
	public String getCodeTech() {
		return codeTech;
	}

	public String getNomClient() {
		return nomClient;
	}
	public void setNomClient(String nom) {
		this.nomClient = nom;
	}
	
	public void setAdress(String adress){
		this.adress = adress;
	}
	public String getAdress(){
		return this.adress;
	}
	
	public void setArrayReport(Array array){
		this.reports = array;
	}
	public Array getArrayReport(){
		return this.reports;
	}
	public String getConsigne() {
		return consigne;
	}
	public void setConsigne(String consigne) {
		this.consigne = consigne;
	}
	public long getDateDebut() {
		return dateDebut;
	}
	public void setDateDebut(long dateDebut) {
		this.dateDebut = dateDebut;
	}
	
	public long getDateFin() {
		return dateFin;
	}
	
	public void setDateFin(long dateFin) {
		this.dateFin = dateFin;
	}
	
	public String getDemande() {
		return demande;
	}
	public void setDemande(String demande) {
		this.demande = demande;
	}
	public int getDuree() {
		return duree;
	}
	public void setDuree(int duree) {
		this.duree = duree;
	}
	public String getEquipement() {
		return equipement;
	}
	public void setEquipement(String equipement) {
		this.equipement = equipement;
	}
	
	public void setResume(String resume) {
		this.resume = resume;
	}
	
	public String getResume() {
		return resume;
	}
	
	public void setStatut(int statut) {
		this.statut = statut;
	}
	
	public int getStatut() {
		return statut;
	}
	
	public void setPriorite(int priorite) {
		this.priorite = priorite;
	}
	public int getPriorite() {
		return priorite;
	}
	
}
