/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.common.data;

import java.io.Serializable;

import org.openmobileis.common.util.UniqueIdGenerator;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class DefaultReport implements Report, Serializable{
	public static final long serialVersionUID = 5521257935120563452L;
	private String idReport;
	private String idInter;
	private String cptRendu;
	private long date;
	
	public DefaultReport(String idReport, String idInter) {
		super();
		this.idReport = idReport;
		this.idInter = idInter;
	}
	
	public DefaultReport(String idInter) {
		super();
		this.idReport = UniqueIdGenerator.getManager().getNewStringID();
		this.idInter = idInter;
	}
	
	public String getIDReport(){
		return this.idReport;
	}
	
	public String getIDInter(){
		return this.idInter;
	}
	
	public void setCptRendu(String cpteRendu){
		this.cptRendu = cpteRendu;
	}
	public String getCptRendu(){
		return this.cptRendu;
	}
	
	public void setDateLong(long date){
		this.date = date;
	}
	public long getDateLong(){
		return this.date;
	}

}

	