/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.common.data;

import org.openmobileis.common.util.collection.Array;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public interface Intervention {
	
	public final static int STATUT_INTERVENTION = 0;
	public final static int STATUT_DEMANDE = 1;
	public final static int STATUT_INTERVENTION_FAITE = 2;
	
	public final static int PRIORITE_FAIBLE = 0;
	public final static int PRIORITE_NORMAL = 1;
	public final static int PRIORITE_HAUTE = 2;
	
	public String getIDInter();
	public String getNomClient();
	public void setNomClient(String nom);
	public void setAdress(String adress);
	public String getAdress();
	public void setArrayReport(Array array);
	public Array getArrayReport();
	public String getConsigne();
	public void setConsigne(String consigne);
	public long getDateDebut();
	public void setDateDebut(long dateDebut);
	public String getDemande();
	public void setDemande(String demande);
	public int getDuree();
	public void setDuree(int duree);
	public String getEquipement();
	public void setEquipement(String equipement);
	
	public double getCoordx();
	public double getCoordy();
	public void setCoordx(double coordx);
	public void setCoordy(double coordy);

	public long getDateFin();
	public void setDateFin(long dateFin);
	
	public void setResume(String resume);
	public String getResume();
	
	public void setStatut(int statut);
	public int getStatut();
	
	public void setCodeTech(String codeTech);
	public String getCodeTech();
	
	public void setPriorite(int priorite);
	public int getPriorite();
}
