/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.gvsig.gui;

import java.awt.event.MouseEvent;

import org.gvsig.mobile.location.tracklog.TracklogManager;
import org.openmis.tellus.gvsig.gui.DefaultOpenMISMainWindow;
import org.openmis.tellus.layers.symbo.Dynamisme;

import es.prodevelop.gvsig.mobile.fmap.layer.FAcetateLayer;
import es.prodevelop.gvsig.mobile.fmap.layer.FLyrVect;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DemoOpenMISMainWindow extends DefaultOpenMISMainWindow {

	private static final long serialVersionUID = -4927723943576994612L;

	public DemoOpenMISMainWindow(){
		super(700, 440, true, new FAcetateLayer(false));
	}
	
	
	public void initToolsBars() {
		OpenMISInitToolBar.registerInitToolBar(new OpenMISInitToolBar(this));	
		int positions[] = new int[2];
		
		positions[0]=1;
		OpenMISInitToolBar.getInstance().initToolsCanvas(positions);
		
		super.initToolsBars();
	}
	
	
	
	public void initDynamismeDistantTool(Dynamisme dyna, FLyrVect lyr) {
		// TODO Auto-generated method stub
		super.initDynamismeDistantTool(dyna, lyr);
	}
	
	public void onMousePressed(MouseEvent evt, Object src) {
		// ------ gps ------- action button clicked
		if (src.equals(OpenMISInitToolBar.getInstance().gpsConnectToolButton)) {
			OpenMISInitToolBar.getInstance().doGPSConnection();
		}
		

		if (src.equals(OpenMISInitToolBar.getInstance().gpsTracklogToolButoon)) {	
			OpenMISInitToolBar.getInstance().doTrackingLog();
		}
		
		if (src.equals(OpenMISInitToolBar.getInstance().httpGpsposButton)) {	
			OpenMISInitToolBar.getInstance().doSendGPSPositionnement();
		}
		
		// --------------------------------------

		/*if(src.equals(OpenMISInitToolBar.getInstance().infoOpenMIS)){
			setCurrentTool(OpenMISInitToolBar.getInstance().infoOpenMIS, false);
			//return;
		}*/
		
		if(src.equals(OpenMISInitToolBar.getInstance().gotoOpenMIS)){
			OpenMISInitToolBar.getInstance().doGoToOpenMIS();
			//return;
		}
		
		super.onMousePressed(evt, src);
	}
	
	public void winDeactivated() {
		super.winDeactivated();
		
		if (TracklogManager.getStopTrackingWhenMinimized() && TracklogManager.isTracking()) {
			OpenMISInitToolBar.getInstance().gpsTracklogToolButoon.reverse();
		}
	}
	
}
