/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.gvsig.services.demo;

import java.util.List;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.tellus.gvsig.edition.GvSIGTellusEditionPointManager;
import org.openmis.tellus.gvsig.manager.GvSIGTellusGUIManager;
import org.openmis.tellus.gvsig.services.ServiceComGvSIGDelete;
import org.openmis.tellus.gvsig.services.ServiceComGvSIGStorage;
import org.openmis.tellus.gvsig.services.ServiceComGvSIGSynchro;
import org.openmis.tellus.layers.DistantEditableLayer;
import org.openmis.tellus.project.DistantProjectManager;


/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DemoServiceComGvSiGSynchro extends ServiceComGvSIGSynchro {

	public DemoServiceComGvSiGSynchro(){
		super();
	}
	
	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		try{
			String synchro = req.getParameter("synchrodone").getDataValue();
			if("1".equals(synchro)){
				

				//-------------- Remove All points of editable layers : Interventions
				List list = DistantProjectManager.getManager().getCurrentDistantProject().getEditableLayers();
				
				for (int i=0;i<list.size();i++){
					DistantEditableLayer layer = (DistantEditableLayer)list.get(i);
					if(layer.getDistantInteraction() != null){
						GvSIGTellusEditionPointManager.getManager().removeAllPointsFromLayer(layer.getGeoFileName(), layer.getDistantInteraction().getGeoFieldLinker());
					}
				}
				
				//--------------------------------
			
				int pointToAdd = Integer.parseInt(req.getParameter("pointToAdd").getDataValue());
				if(pointToAdd > 0){

					for(int i=0;i<pointToAdd;i++){
						
						String geoFileName = req.getParameter("geofname"+i).getDataValue();
						String coordx = req.getParameter("coordx"+i).getDataValue();
						String coordy = req.getParameter("coordy"+i).getDataValue();
						String ID = req.getParameter("ID"+i).getDataValue();
						String IDfieldName = req.getParameter("IDfieldName"+i).getDataValue();
						String Type = req.getParameter("Type"+i).getDataValue();
						String TypefieldName = req.getParameter("TypefieldName"+i).getDataValue();
						
						GvSIGTellusEditionPointManager.getManager().addPointToLayer(
								geoFileName
								, Double.parseDouble(coordx)
								, Double.parseDouble(coordy)
								, ID
								, IDfieldName
								, Type
								, TypefieldName
								, true);
						
					}
					
					GvSIGTellusEditionPointManager.getManager().SaveAllEdition(false, GvSIGTellusGUIManager.getManager().getMapControl());
					
					GvSIGTellusGUIManager.getManager().getMapControl().setProcessing(false);
					GvSIGTellusGUIManager.getManager().getMapControl().refresh(true);				
				}
			}
		}catch(Exception ex){
			res.setErrorMessage(ex.getMessage());
		}
	}
}
