/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.common.util.log.LogManager;

public class DemoCreateDatabase {
	
	public DemoCreateDatabase(){
		
	}
	
	private Connection createDbConnection(String driver, String url, String user, String password) throws ClassNotFoundException, SQLException    {
	       Class.forName( driver);
	       Connection con = DriverManager.getConnection(url, user, password);
	       return con;
	 }

	 private boolean isDatabaseExist(String databaseName, Connection con)    throws SQLException    {
	       Statement stmt = con.createStatement();
	       ResultSet result = stmt.executeQuery(
	                       "SELECT name FROM master.dbo.sysdatabases where name='"+databaseName+"' ");
	       boolean ret =  (result.next());
	       result.close();
	       return ret;
	 }

	 private void createDatabase(String databaseName, Connection con)    throws SQLException    {
	       Statement stmt = con.createStatement();
	       stmt.executeUpdate( "CREATE DATABASE "+databaseName );
	       stmt.close();
	 }
	 
	 //Want the next form : jdbc\:Microsoft\:sqlserver\://localhost\:1100 as url
	 public void createDatabaseIfNotExist(String databaseName, String dbDriver, String dbServer, String dbHost, String dbDefaultPort, String dbLogin, String dbPassword) throws DatabaseException    {
		   String url = dbServer+"://"+dbHost+":"+dbDefaultPort;
	       try    {
	           Connection con = this.createDbConnection(dbDriver, url, dbLogin, dbPassword);
	           try    {
	               if (!this.isDatabaseExist(databaseName, con))    {
	                   this.createDatabase(databaseName, con);
	                   LogManager.traceInfo(0,"Create Database : "+databaseName);
	               }else{
	            	   LogManager.traceInfo(0,"Database : "+databaseName+ " already exist");
	               }
	           } finally    {
	               con.close();
	           }
	       } catch (Throwable ex)    {
	           throw new DatabaseException(ex);
	       }
	   } 
}
