/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.db;

import org.openmobileis.common.user.User;
import org.openmobileis.common.user.UserAlreadyExistException;
import org.openmobileis.common.user.UserManagerFactory;
import org.openmobileis.common.user.UserNotFoundException;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.ServiceException;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DemoUserManagerFactory implements UserManagerFactory {

	private User user1;
	private User user2;
	
	private Array users = new Array();
	  /**
	   *
	   */
	  public DemoUserManagerFactory() {
	    super();
	    user1 =  new User();
	    user1.setId("1");
	    user1.setLogin("toto");
	    user1.setPassword("toto");
	    user1.setProfil("default");
	    user1.setGroup("default");
	    users.add(user1);
	    
	    user2 =  new User();
	    user2.setId("2");
	    user2.setLogin("tata");
	    user2.setPassword("tata");
	    user2.setProfil("default");
	    user2.setGroup("default");
	    users.add(user2);
	    
	    
	 }

	  /* (non-Javadoc)
	   * @see org.openmobileis.common.user.UserManagerFactory#authenticateUser(java.lang.String, java.lang.String)
	   */
	  public String authenticateUser(String login, String pass) throws ServiceException, UserNotFoundException {
	    if ((login.equals(user1.getLogin())) && (pass.equals(user1.getPassword()))) {
	      return user1.getId();
	    }
	    else if ((login.equals(user2.getLogin())) && (pass.equals(user2.getPassword()))) {
		      return user2.getId();
	    }
	    else  {
	      throw new UserNotFoundException("Bad authentication for login :"+login);
	    }
	  }
	  
	  public Array getAllUsers(){
		  return users;
	  }

	  public void logoutUser(String userid) throws ServiceException {

	  }

	  /* (non-Javadoc)
	   * @see org.openmobileis.common.user.UserManagerFactory#storeUser(org.openmobileis.common.user.User)
	   */
	  public void storeUser(User user) throws ServiceException, UserAlreadyExistException {
	    // do nothing

	  }

	  /* (non-Javadoc)
	   * @see org.openmobileis.common.user.UserManagerFactory#getUser(java.lang.String)
	   */
	  public User getUser(String userID) throws ServiceException, UserNotFoundException {
	    if (userID.equals(user1.getId())) {
	      return user1;
	    }else if (userID.equals(user2.getId())) {
	      return user2;
	    } else  {
	      throw new UserNotFoundException("No user found for Id :"+userID);
	    }
	  }

	  /* (non-Javadoc)
	   * @see org.openmobileis.common.user.UserManagerFactory#deleteUser(java.lang.String)
	   */
	  public void deleteUser(String userID) throws ServiceException, UserNotFoundException {
	    // Do nothing

	  }

}
