/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.db.googleMap;

import java.net.URL;

import org.openmobileis.synchro.openmsp.client.db.DBImportFileCoder;

import HTTPClient.HTTPConnection;
import HTTPClient.HTTPResponse;
import HTTPClient.NVPair;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class GoogleMapInterventionManager {
	
	private static GoogleMapInterventionManager manager;
	
	public GoogleMapInterventionManager(){
		
	}
	
	public static GoogleMapInterventionManager getManager(){
		if(manager == null){
			manager = new GoogleMapInterventionManager();
		}
		return manager;
	}
	
	public void update(String id, int type, String description){
		try{
			//System.out.println(longitude+" - "+latitude);
			NVPair form_data[] = new NVPair[3];
	        form_data[0] = new NVPair("type", Integer.toString(type));
	        form_data[1] = new NVPair("id", id);
	        if(description == null)
	        	description = "DEMANDE INTERVENTION "+id;
	        form_data[2] = new NVPair("description", DBImportFileCoder.getCoder().removeAntiSlash(description));


			
			URL url = new URL("http://www.ubikis.com/manu/php/update_inter.php");
			openHTTPURL(url, form_data);
			
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}

	
	public void store(String id, double latitude, double longitude, int type, String description){
		try{
			//System.out.println(longitude+" - "+latitude);
			NVPair form_data[] = new NVPair[5];
	        form_data[0] = new NVPair("lon", Double.toString(longitude));
	        form_data[1] = new NVPair("lat", Double.toString(latitude));
	        form_data[2] = new NVPair("type", Integer.toString(type));
	        form_data[3] = new NVPair("id", id);
	        if(description == null)
	        	description = "DEMANDE INTERVENTION "+id;
	        form_data[4] = new NVPair("description", DBImportFileCoder.getCoder().removeAntiSlash(description));

			
			URL url = new URL("http://www.ubikis.com/manu/php/insert_inter.php");
			openHTTPURL(url, form_data);
			
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
	
	public void deleteAll(){
		try{
		
			URL url = new URL("http://www.www.ubikis.com/manu/php/delete_all.php");
			openHTTPURL(url, null);
			
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}

	public void delete(String id){
		try{
			//System.out.println(longitude+" - "+latitude);
			NVPair form_data[] = new NVPair[1];
	        form_data[0] = new NVPair("id", id);
		
			URL url = new URL("http://www.ubikis.com/manu/php/delete_inter.php");
			openHTTPURL(url, form_data);
			
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
	
	
	
	
	
	private void openHTTPURL(URL url, NVPair form_data[]){
		try{
			//HTTPConnection.setProxyServer("172.16.86.98", 8080);
			HTTPConnection con = new HTTPConnection(url);

			HTTPResponse rsp = con.Post(url.getFile(), form_data);
	         if (rsp.getStatusCode() >= 300)
	         {
	             System.out.println("OpenMISGPSPositionListener ERROR = " +rsp.getReasonLine() + " - " + rsp.getText());
	         }
	         else{
	        	 System.out.println("OpenMISGPSPositionListener  = " +rsp.getText());
	         }
			
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
}
