/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.project.init.factory;

import java.io.File;

import org.openmis.tellus.layers.DistantLayer;
import org.openmobileis.common.util.exception.ServiceException;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class SIGProjectsSynchoDirect extends SIGProjectsSynchro {

	
	public SIGProjectsSynchoDirect() throws ServiceException{
		super();
	}
	
	public File[] addFilesToSynchronisation(DistantLayer layer, String projectName) {
		  if(layer.getExtension().equals(DistantLayer.EXT_ECW)){		  
			  return new File[]{layer.getFile()};
			  
		  }else if(layer.getExtension().equals(DistantLayer.EXT_SHP)){
			  File files[] = new File[3];  
			  files[0] = new File(layer.getFile().getParent(), layer.getGeoFileName()); //with SHP extension
			  files[1] = new File(layer.getFile().getParent(), layer.getDBFFileName());
			  files[2] = new File(layer.getFile().getParent(), layer.getSHXFileName());
			  
			  return files;
			  
		  }
		  return null;
	}
	
}
