/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.server.project.init.SIGSynchroProjectManager;
import org.openmis.tellus.synchro.common.utils.FileLayerUtilities;
import org.openmobileis.common.util.codec.GeneralCoder;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

public class GetListOfSISProjectService extends Service {

	public GetListOfSISProjectService(){
		super();
	}
	
	public void run( HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException{
		String projects = req.getParameter("projectsRequest");
		
		if(projects != null){
			try{
				
				Array array = SIGSynchroProjectManager.getManager().getListProjectName();
				res.addHeader("projectsResponse", 
						new String(GeneralCoder.encodeBase64(
								FileLayerUtilities.serializeObject(array))
								));
			}catch(Exception ex){
				LogManager.traceError(0, ex);
			}	
		}	
	}
	
	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/get/listprojects";
	}

}
