/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.services;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.common.data.Intervention;
import org.openmis.application.demo.manager.InterventionManager;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.collection.Orderable;
import org.openmobileis.common.util.collection.Sort;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.TemplateService;
import org.openmobileis.services.common.ServiceManager;
import org.openmobileis.services.navigation.NavigationBarService;

import freemarker.template.SimpleHash;
import freemarker.template.SimpleList;
import freemarker.template.TemplateModelRoot;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceDemoGoogleMap extends TemplateService implements NavigationBarService {

	private static int uniqID = 0;
	private final static String templateName = "demotemplates/googlemap.htm";
	
	public String runTemplate(HttpServletRequest req, HttpServletResponse res,TemplateModelRoot templateData) throws ServletException,IOException {

		try {
			Array array = InterventionManager.getManager().getAllInterventions();
			SimpleList list = new SimpleList();
			//Sort.shellsort(array,(Orderable)new TriOrderableInterventionDate());
		    list = displayList(array, list);
		    templateData.put("respList",list);
					
			
		} catch (Exception e) {
			LogManager.traceError(0, e);
		}	
		return templateName;
	}

	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/googlemap";
	}


	public String getNavigationBarLabel(HttpServletRequest req) {
		return "google";
	}


	public boolean displayFormExitMessage() {
		return false;
	}


	public boolean displayRecursive() {
		return false;
	}
	
	private SimpleList displayList (Array array, SimpleList list) {
		SimpleHash listElement;
		Intervention inter = null;
		
		for(int i = 0; i < array.size(); i++) {
				listElement = new SimpleHash();
				inter = (Intervention)array.get(i);			  
				listElement.put("interID", inter.getIDInter());
				listElement.put("nom",inter.getNomClient());
				listElement.put("type",inter.getStatut());
				listElement.put("coordx",Double.toString(inter.getCoordx()));
				listElement.put("coordy",Double.toString(inter.getCoordy()));
				
				list.add(listElement);	
		}
		return list;
	}

}
