/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.manager.InterventionManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceServerDemoDeleteDemandeInter extends Service {

	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/demande/delete";
	}

	public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		String interID = req.getParameter("interID");

		try{
			
			if(interID != null)
				InterventionManager.getManager().delete(interID);
		}catch(Exception e){
			LogManager.traceError(0,e);
		}

		ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+"/demandeInter/liste", req, res);
	}

}
