/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.server.services;

import java.io.IOException;
import java.util.Calendar;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.common.data.Intervention;
import org.openmis.application.demo.manager.InterventionManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceServerDemoTerminateInter extends Service  {


	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/inter/terminate";
	}

	public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		String userID = req.getParameter("userID");
		String interID = req.getParameter("interID");
		String statut = req.getParameter("statut");
		String heure = req.getParameter("heure");
		String daySt = req.getParameter("day");

		String dayName = null;
		
		try{
			Intervention inter = InterventionManager.getManager().getIntervention(interID);
			inter.setStatut(Integer.parseInt(statut));
			inter.setCodeTech(userID);
			
			
			if(heure != null && daySt != null && heure.length() > 0 && daySt.length() > 0){
				int day = Integer.parseInt(daySt);
				dayName = ServiceServerDemoPlanning.getNameDayForDay(day);
				
				Calendar cal = Calendar.getInstance();

				if("8".equals(heure)){
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 8);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateDebut(cal.getTime().getTime());
					
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 10);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateFin(cal.getTime().getTime());
					
					inter.setDuree(120);
				}
				
				if("10".equals(heure)){
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 10);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateDebut(cal.getTime().getTime());
					
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 12);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateFin(cal.getTime().getTime());
					
					inter.setDuree(120);
				}
				
				if("14".equals(heure)){
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 14);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateDebut(cal.getTime().getTime());
					
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 16);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateFin(cal.getTime().getTime());
					
					inter.setDuree(120);
				}
				
				if("16".equals(heure)){
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 16);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateDebut(cal.getTime().getTime());
					
					cal.set(Calendar.YEAR, 2009);
					cal.set(Calendar.MONTH, 5);
					cal.set(Calendar.DAY_OF_MONTH, day);
					cal.set(Calendar.HOUR_OF_DAY, 18);
					cal.set(Calendar.MINUTE, 0);
					inter.setDateFin(cal.getTime().getTime());
					
					inter.setDuree(120);
				}
				
			}
			
			/*if(Integer.parseInt(statut) == Intervention.STATUT_INTERVENTION){
				inter.setNomClient("AFFECTATION DEMANDE "+interID);
			}*/
			
			InterventionManager.getManager().store(inter);
			
			
		}catch(Exception e){
			LogManager.traceError(0,e);
		}
		
		if(Integer.parseInt(statut) == Intervention.STATUT_INTERVENTION_FAITE)
			ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+"/listinter", req, res);
		else if(Integer.parseInt(statut) == Intervention.STATUT_INTERVENTION)
			//ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+"/planning", req, res);
			ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+
					"/listinterday?userID="+userID+"&day="+daySt+"&dayName="+dayName
					, req, res);
			
	}

	public boolean displayFormExitMessage() {
		return false;
	}


	public boolean displayRecursive() {
		return false;
	}

}
