/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.com.services;

import org.openmis.application.demo.common.data.DefaultIntervention;
import org.openmis.application.demo.common.data.Intervention;
import org.openmis.application.demo.manager.InterventionManager;
import org.openmis.com.inter.agents.services.datas.DistantMessage;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.tellus.layers.DistantEditableLayer;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.service.distant.OpenMISSynchroDistantService;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.log.LogManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DemoOpenMISSynchroDistantService extends OpenMISSynchroDistantService {

	public DemoOpenMISSynchroDistantService() {
		super();
	}
	
	public void requestSend(DistantSendMessageRequest req) {
		try{
			Array array = InterventionManager.getManager().getAllInterventions();
			
			if(array.size() > 0){	
				req.addParameter("pointToAdd", Integer.toString(array.size()), DistantMessage.TYPE_INTEGER);

				DistantEditableLayer layer = (DistantEditableLayer)DistantProjectManager.getManager().getCurrentDistantProject().getDistantLayer(DefaultIntervention.class);
				for(int i=0;i<array.size();i++){
					Intervention inter = (Intervention)array.get(i);
					req.addParameter("geofname"+i, layer.getGeoFileName(), DistantMessage.TYPE_STRING);
					req.addParameter("coordx"+i, Double.toString(inter.getCoordx()), DistantMessage.TYPE_DOUBLE);
					req.addParameter("coordy"+i, Double.toString(inter.getCoordy()), DistantMessage.TYPE_DOUBLE);
					req.addParameter("ID"+i, inter.getIDInter(), DistantMessage.TYPE_STRING);
					req.addParameter("IDfieldName"+i, layer.getDistantInteraction().getGeoFieldLinker(),DistantMessage.TYPE_STRING);
					
					req.addParameter("Type"+i, Integer.toString(inter.getStatut()),DistantMessage.TYPE_STRING);
					req.addParameter("TypefieldName"+i,"Type",DistantMessage.TYPE_STRING);
				}
				
				
			}else{
				req.addParameter("pointToAdd", "0", DistantMessage.TYPE_INTEGER);
			}
			
			
			
		
		}catch (Exception e) {
			LogManager.traceError(0, e);
		}
		super.requestSend(req);
	}

}
