/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.com.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.common.data.DefaultIntervention;
import org.openmis.application.demo.manager.InterventionManager;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.tellus.layers.DistantEditableLayer;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.service.distant.template.OpenMISDeleteGeoDistantTemplateService;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.common.util.log.LogManager;

public class ServiceComDeleteIntervention extends OpenMISDeleteGeoDistantTemplateService {

	private String idObject = null;
	
	public void runTemplate(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		this.idObject = req.getParameter("idObject");
	}
	
	public String getObjectID() {
		return this.idObject;
	}
	
	public DistantEditableLayer getDistantEditableLayer() {
		try {
			return (DistantEditableLayer) DistantProjectManager.getManager().getCurrentDistantProject().getDistantLayer(DefaultIntervention.class);
		} catch (Exception e) {
			removeIntervention();
			e.printStackTrace();
		}
		return null;
	}
	
	public void response(DistantSendMessageResponse res, String idObject) {
		if(res.isError() == false){
			removeIntervention();
		}	
	}
	
	private void removeIntervention(){
		try {
			InterventionManager.getManager().delete(this.idObject);
		} catch (DatabaseException ex) {
			LogManager.traceError(0,"Error during execution of ServiceDemoDeleteIntervention  with delete inter : "+idObject);
		}
	}

}
