/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.com.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.common.data.DefaultIntervention;
import org.openmis.tellus.layers.DistantInfoableLayer;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.service.distant.template.OpenMISGeoSituateDistantTemplateService;
import org.openmobileis.common.util.exception.DatabaseException;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class ServiceComSituationGeographic extends OpenMISGeoSituateDistantTemplateService {

	private String idObject = null;

	public void runTemplate(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		this.idObject = req.getParameter("idObject");
	}
	
	public DistantInfoableLayer getDistantInfoableLayer() {
		try {
			return (DistantInfoableLayer) DistantProjectManager.getManager().getCurrentDistantProject().getDistantLayer(DefaultIntervention.class);
		} catch (DatabaseException e) {
			e.printStackTrace();
		}
		return null;
	}

	
	public String getObjectID() {
		return this.idObject;
	}
	
}
