/*
/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.com.services;

import org.openmis.tellus.rubric.DistantRubricLoader;
import org.openmobileis.common.util.exception.ServiceException;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class ServicesCommunicationRubricLoader extends DistantRubricLoader {

	
	private static ServicesCommunicationRubricLoader manager;
	
	public static ServicesCommunicationRubricLoader getmanager(){
		return manager;
	}
	
	public ServicesCommunicationRubricLoader() {
		super();
		manager = this;	
	}


	public void preLoadingInit() throws ServiceException {
	}


	public void postLoadingInit() throws ServiceException {
	}


	public String[] getServiceClassList() throws ServiceException {
		String[] newClasses = new String[5];
		newClasses[0]="org.openmis.application.demo.terminal.com.services.ServiceComSituationGeographic";
		newClasses[1]="org.openmis.tellus.service.distant.template.OpenMISOpenGvSIGDistantTemplateService";
		newClasses[2]="org.openmis.application.demo.terminal.com.services.ServiceComStoreGeometry";
		newClasses[3]="org.openmis.application.demo.terminal.com.services.ServiceComGetCoordGeographic";
		newClasses[4]="org.openmis.application.demo.terminal.com.services.ServiceComDeleteIntervention";
		//newClasses[5]="org.openmis.application.communication.terminal.services.CurrentTest";
		return newClasses;
	}

}
