/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.data;

import org.openmobileis.common.util.PersistentPropertiesManager;
import org.openmobileis.synchro.journal.DefaultLogRenderer;


public class MyLogRenderer extends DefaultLogRenderer {

	private String label = null;
	private String keyPropertie;
	private String listenerName;
	/**
	 * Constructor for SimpleLogRenderer.
	 */
	public MyLogRenderer(String listenerName, String label, String keyPropertie) {
      super(listenerName);
      this.listenerName = listenerName;
      this.label = label;
      this.keyPropertie = keyPropertie;
      
	}

	/**
	 * @see org.openmobileis.embedded.synchro.journal.DefaultLogRenderer#getSyncLabel()
	 */
	public String getSyncLabel() {
		return label+" : "+getKeyPropertie();
	}
	
	public String getKeyPropertie() {
		String temp = PersistentPropertiesManager.getManager().getProperty(listenerName, keyPropertie);
		if(temp == null){
			return "";
		}else{
			return temp;	
		}
		
	}
	
	/*public void render(SimpleList templatelist, JournalEntry[] entryList) {
		SimpleHash hash = new SimpleHash();
		hash.put("valuePropertie", this.getKeyPropertie());
		templatelist.add(hash);
		super.render(templatelist, entryList);
	}*/

}
