/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.fodb;

import java.io.Serializable;

import org.openmis.application.demo.manager.InterventionManager;
import org.openmobileis.common.util.PersistentPropertiesManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener;
import org.openmobileis.synchro.openmsp.OpenMSPException;

/**
 * @author Manuel Gomez
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class InterventionSynchroFODBReturnListener implements SynchroFODBReturnListener {

  private String db;
	
  public InterventionSynchroFODBReturnListener(String db) {
    super();
    this.db = db;
  }
  
  public Serializable getSendSynchroMetada() throws OpenMSPException	{
	  return null;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyBeginDBUpdate(java.lang.Object)
   */
  public Object notifyBeginDBUpdate(Object object) throws OpenMSPException {
    // TODO Auto-generated method stub
    return null;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyDBDelete(java.lang.String)
   */
  public void notifyDBDelete(String objectId) throws OpenMSPException {
    // TODO Auto-generated method stub

  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifySynchroBegin()
   */
  public void notifySynchroBegin() {
	  PersistentPropertiesManager.getManager().saveProperty(db, "NbrInterRecu", Integer.toString(0));

  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifySynchroEnd()
   */
  public void notifySynchroEnd() {
	  try{
	   PersistentPropertiesManager.getManager().saveProperty(db, "NbrInterRecu", Integer.toString(InterventionManager.getManager().getAllInterventions().size()));
	  }catch(Throwable ex){
	      LogManager.traceError(0,"Error during execution of the service InterventionSynchroFODBReturnListener : notifySynchroEnd() "+ex);
    }
	
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyFODBObjectSynchroDone(java.lang.String)
   */
  public void notifyFODBObjectSynchroDone(String ObjectId) throws OpenMSPException {
	  
  }

}
