/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.loader;

import org.openmis.application.demo.manager.InterventionManager;
import org.openmis.application.demo.terminal.fodb.FODBInterventionFactoryClient;
//import org.openmis.application.demo.fodb.FODBInterventionFactoryClient;
import org.openmis.application.demo.terminal.modules.CalendarComponent;
import org.openmis.application.demo.terminal.modules.TimeComponent;
import org.openmis.application.demo.terminal.services.DemoNavigationBarDescription;
import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.modules.profiles.terminal.RubricLoader;
import org.openmobileis.services.navigation.NavigationBarManager;

public class ServicesDemoRubricLoader extends RubricLoader {

	private static ServicesDemoRubricLoader manager;
	
	public static ServicesDemoRubricLoader getmanager(){
		return manager;
	}
	
	public ServicesDemoRubricLoader() {
		super();
		NavigationBarManager.initializeNavigationBar(new DemoNavigationBarDescription());
		
		manager = this;	
	}

	public void preLoadingInit() throws ServiceException {
		InterventionManager.registerManager(new InterventionManager(new FODBInterventionFactoryClient()));
		InterventionManager.getManager();
		TimeComponent.getManager();
		CalendarComponent.getManager();
	}

	public void postLoadingInit() throws ServiceException {

	}

	public String[] getServiceClassList() throws ServiceException {
		String[] newClasses = new String[13];
		newClasses[0]="org.openmis.application.demo.terminal.services.ServiceDemoIndex";
		newClasses[1]="org.openmis.application.demo.terminal.services.ServiceDemoDisplayIntervention";
		newClasses[2]="org.openmis.application.demo.terminal.services.ServiceDemoDisplayReport";
		newClasses[3]="org.openmis.application.demo.terminal.services.ServiceDemoEditReport";
		newClasses[4]="org.openmis.application.demo.terminal.modules.ShowCalendarComponent";
		newClasses[5]="org.openmis.application.demo.terminal.modules.ShowTimeComponent";
		newClasses[6]="org.openmis.application.demo.terminal.services.ServiceDemoDeleteReport";
		newClasses[7]="org.openmis.application.demo.terminal.services.ServiceDemoEditIntervention";
		newClasses[8]="org.openmis.application.demo.terminal.services.ServiceDemoListIntervention";
		newClasses[9]="org.openmis.application.demo.terminal.services.ServiceDemoListProjectSynchro";
		newClasses[10]="org.openmis.application.demo.terminal.services.ServiceDemoListeDemandeInter";
		newClasses[11]="org.openmis.application.demo.terminal.services.ServiceDemoOpenCurrentSIGProjet";
		newClasses[12]="org.openmis.application.demo.terminal.services.ServiceDemoOpenGvSIG";
		return newClasses;
	}

}
