/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.modules;

import org.openmobileis.common.util.log.LogManager;

public final class CalendarComponent {
	private OWCalendar calendar;
	private static CalendarComponent manager;
	
	
	public CalendarComponent(int x, int y,String closeButtonValue) {
		try{
			calendar = new OWCalendar(x,y,closeButtonValue);	
		}catch(Throwable ex){
			LogManager.traceError(0, "Error during execution of service CalendarComponent, CalendarComponent() : "+ex);
		}
	}
	
	public static CalendarComponent getManager(){
		if(manager == null){
			manager = new CalendarComponent(230,230,"close");
		}
		return manager;
	}
	
	public void showCalendar(long actualDateValue){
		if(calendar != null){
			calendar.showFrame(actualDateValue);
		}
	}
	
	public long checkCalendar(boolean synchrone)	{
		try{
			calendar.show();
			if (synchrone)	{
				synchronized(calendar)	{
					try	{
						calendar.wait();
					} catch (Throwable ex)	{
						LogManager.traceError(0, ex);
					}
				}
				return calendar.getDateChecked();
			} 
		}catch(Throwable ex){
			LogManager.traceError(0, "Error during execution of service CalendarComponent, checkCalendar() : "+ex);
		}
		return -1;
	}

}
