/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.modules;

import java.io.IOException;
import java.util.Hashtable;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.context.SessionContext;
import org.openmobileis.common.context.SessionContextManager;
import org.openmobileis.services.EditService;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

/**
 * @author Manuel Gomez
 *
 */
public class ShowCalendarComponent extends Service implements EditService{


	public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		String key = req.getParameter("key");
		String value = req.getParameter("value");
		String redirectURL = req.getParameter("redirect");
		
		long actualDateValue;
		try{
			actualDateValue = Long.parseLong(value);
		}catch(NumberFormatException e){
			actualDateValue = 0;
		}
		
		CalendarComponent.getManager().showCalendar(actualDateValue);
		long dateChecked = CalendarComponent.getManager().checkCalendar(true);
		if(dateChecked != -1 && dateChecked!= 0 && key != null){	
			Hashtable hash = new Hashtable();
			hash.put(key, Long.toString(dateChecked));
			SessionContext session = SessionContextManager.getManager().getSessionContext();
			session.setAttribute("O3.calendar.date.checked", hash);
		}
		ServiceManager.getManager().redirectToServiceURI(redirectURL, req, res);
	}


	public String getServiceUri() {	
		return ServiceManager.getManager().getServiceBaseURI()+"/common/calendar/showcomponent";
	}
	public boolean hasSessionData(HttpServletRequest req){
		return true;
	}
	public void removeSessionData(HttpServletRequest req){
		
	}

}
