/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.application.demo.terminal.services;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.application.demo.manager.InterventionManager;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantServiceManager;
import org.openmis.tellus.project.DistantProject;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.project.parser.DistantProjectObjectExtractor;
import org.openmis.tellus.service.distant.OpenMISLoadProjectDistantService;
import org.openmis.tellus.service.distant.OpenMISSynchroDistantService;
import org.openmis.tellus.service.distant.OpenMISUnLoadProjectDistantService;
import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.embedded.util.SystemAPI;
import org.openmobileis.services.Service;
import org.openmobileis.services.TemplateService;
import org.openmobileis.services.common.ServiceManager;
import org.openmobileis.services.navigation.NavigationBarService;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceDemoOpenCurrentSIGProjet  extends Service  {

	
	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/currentsigprj";
	}

	public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		String errorExcp = "";
		try{

			
			//---------- GET CURRENT PROJET
			DistantProject project = DistantProjectManager.getManager().getCurrentDistantProject();

			if(project == null){
				String path = PropertiesManager.getManager().getProperty("org.openmobileis.synchro.direct.installpath")
				+File.separator+"TELLUS_OWPROJECT"+File.separator+"OWSIGProjects.xml";

				File file = new File(path);		
				InputStream in = new FileInputStream(file);
				DistantProjectObjectExtractor.getObject(in, PropertiesManager.getManager().getProperty("org.openmobileis.synchro.direct.installpath"));
			}
			//-------------
			project = DistantProjectManager.getManager().getCurrentDistantProject();

			//---- UNLOAD 
	    	if(project != null){
		    	OpenMISUnLoadProjectDistantService serviceunload = (OpenMISUnLoadProjectDistantService)DistantServiceManager.getManager().getDistantServiceByURI(
		    			OpenMISUnLoadProjectDistantService.DISTANT_URI);
	    		
		    	serviceunload.setUnloadDistantProject(project);
	    		DistantServiceManager.getManager().runDistantService(OpenMISUnLoadProjectDistantService.DISTANT_URI);
	    		
				Thread.sleep(500);	//wait the time to unload all files in gvsigMobile
						
				//---- LOAD 
				OpenMISLoadProjectDistantService service = (OpenMISLoadProjectDistantService)DistantServiceManager.getManager().getDistantServiceByURI(OpenMISLoadProjectDistantService.DISTANT_URI);
				
				service.setCurrentDistantProject(project);
				DistantSendMessageResponse resp = DistantServiceManager.getManager().runDistantService(service.getDistantServiceUri());
				if(resp != null && resp.isError()){
					errorExcp = "GvSIG is must be started first!";
				}else{
					DistantServiceManager.getManager().runDistantService(OpenMISSynchroDistantService.DISTANT_URI);
				}
				    		
	    	}else{
	    		errorExcp = "None project is present on Phone. Do a synchro";
	    	}
			
		}catch(Exception e){
			LogManager.traceError(0,e);
			errorExcp = e.getMessage();
		}

		ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+"/index?error="+errorExcp, req, res);
	}
}
