/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package   org.openmis.application.demo.terminal.services;

import org.openmis.application.demo.common.data.Intervention;
import org.openmobileis.common.util.collection.Orderable;

/**
 * @author Manuel Gomez
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class TriOrderableInterventionDate implements Orderable{

  /**
	 * Compare two objects and order them.
	 *
	 * @param		p1 first object
	 * @param		p2 second object
	 * @return		< 0 if p1 < p2, 0 if equal, > 0 if p1 > p2
	 */
    public int compareTo(Object p1, Object p2){
      Intervention dci1 = (Intervention)p1;
      Intervention dci2 = (Intervention)p2;
      long date1 = dci1.getDateDebut();
      long date2 = dci2.getDateDebut();
      if (date1 > date2) {
        return -1;
      } else if (date1 == date2) {
        return 0;
      }
      return 1;
    }

}
