/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package es.prodevelop.gvsig.mobile.app;

import java.util.Properties;

import org.apache.log4j.Logger;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.embedded.webserver.WebServer;


public class WebServerThread implements Runnable {
	private static Logger logger = Logger.getLogger(WebServerThread.class);
	private String path;
	
	public WebServerThread(String path) {
		this.path = path;
	}
	
	public WebServerThread() {
		this.path = null;
	}

	public void run() {
		try {
		
			System.out.println("Starting Open Mobile IS server version 1.0");
			System.out.println("User.dir : " + System.getProperty("user.dir"));
			System.out.println("Path : " + path);
			
			Properties props = new Properties();
			LogManager.registerLogManager(props);
			
			WebServer server = null;
			if(path != null && path.length() > 0)
				 server = new WebServer(this.path);
			else
				server = new WebServer();
			server.serve();

		} catch (Throwable th) {
			logger.error("While starting WebServer: " + th.getMessage());
		}
	}

}
