/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.fmap;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.PathIterator;

import es.prodevelop.gvsig.mobile.fmap.core.FPolygon2D;
import es.prodevelop.gvsig.mobile.fmap.core.GeneralPathX;
import es.prodevelop.gvsig.mobile.fmap.core.acetate.AcetateTrail;
import es.prodevelop.gvsig.mobile.fmap.core.acetate.IAcetateElement;
import es.prodevelop.gvsig.mobile.fmap.util.graph2d.Graph2DUtilities;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class AcetateTrailOpenMIS extends AcetateTrail {

	public static final int MAX_VERTICES = 100;
	
	private Color currentAcetateTrailerColor = null;

	public AcetateTrailOpenMIS(int maxv, GeneralPathX gpx, Color color) {
		super(maxv, gpx);
		this.currentAcetateTrailerColor = color;
		visible = true;
	}
	
	public void addVertex(double x, double y) {
		if (nOfPoints == 0) {
			generalPath.moveTo(x, y);
		} else {
			generalPath.lineTo(x, y);
		}
		nOfPoints++;
	}

	public void draw(Graphics2D g, AffineTransform at) {
		
		//System.out.println(this+" VISIBLE : "+visible+"   NbPoints : "+nOfPoints);
		
		if ((nOfPoints == 0) || (!visible)) {	
			return;
		}
		//System.out.println("TRACE LINE");
		g.setColor(currentAcetateTrailerColor);
		g.setStroke(new BasicStroke(3));
		//PathIterator it = generalPath.getPathIterator(at);
		
		Graph2DUtilities.drawPathIteratorLastVertices(
				g, generalPath.getPathIterator(at), null, nOfPoints, MAX_VERTICES);
	}



}
