/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.fmap;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;
import java.util.Collection;
import java.util.Iterator;
import java.util.Set;

import es.prodevelop.gvsig.mobile.fmap.core.GeneralPathX;
import es.prodevelop.gvsig.mobile.fmap.core.acetate.AcetateTrail;
import es.prodevelop.gvsig.mobile.fmap.core.acetate.IAcetateElement;
import es.prodevelop.gvsig.mobile.fmap.driver.FMapDriverException;
import es.prodevelop.gvsig.mobile.fmap.layer.FAcetateLayer;
import es.prodevelop.gvsig.mobile.fmap.layer.FLyrDefault;
import es.prodevelop.gvsig.mobile.fmap.viewport.ViewPort;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class FAcetateLayerOpenMIS extends FAcetateLayer {

	public static final String GPS_ACTIVE_TRACKING = "GPS_ACTIVE_TRACKING";
	public static final String GPS_CURSOR_NOT_TRACKING = "GPS_CURSOR_NOT_TRACKING";
	
	private AcetateTrailOpenMIS at = null;
	private int compt = 0;
	
	public FAcetateLayerOpenMIS(boolean add_gps) {
		super(false);
		this.init();
	}
	
	private void init(){
		at = new AcetateTrailOpenMIS(5, new GeneralPathX(), Color.RED);
		addElement(at, null, GPS_CURSOR_ACETATE_ID);
	}
	
	
	public void clearGPSTrailer() {
		
		Iterator it = elements.values().iterator();
		while(it.hasNext()){
			AcetateTrailOpenMIS at = (AcetateTrailOpenMIS)it.next();
			if(it != null){
				at.reset();
			}
		}
		
		elements.clear();
		this.init();
	}

	public void setActiveTracking(boolean isActiveTracking){
		
		if(at != null){
			addElement(at, null, GPS_CURSOR_ACETATE_ID+compt);
		}
		
		if(isActiveTracking){
			at = new AcetateTrailOpenMIS(5, new GeneralPathX(), Color.GREEN);
			addElement(at, null, GPS_CURSOR_ACETATE_ID);
		}else{
			at = new AcetateTrailOpenMIS(5, new GeneralPathX(), Color.RED);
			addElement(at, null, GPS_CURSOR_ACETATE_ID);
		}
		compt++;
	}
}
