/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.gps;

import java.net.URL;

import org.apache.log4j.Logger;
import org.gvsig.mobile.location.listener.GPSRelevantEventsListener;

import HTTPClient.HTTPConnection;
import HTTPClient.HTTPResponse;
import HTTPClient.NVPair;

public class OpenMISGPSPositionListener implements GPSRelevantEventsListener {

	private static Logger logger = Logger.getLogger(OpenMISGPSPositionListener.class);
	
	private String urlSite = null;
	private int idTech = -1;
	
	public OpenMISGPSPositionListener(String url, int idTech){
		if(url != null && url.length() > 0 && idTech != -1){
			this.urlSite = url;
			this.idTech = idTech;
		}
	}
	
	public void gpsNewAltitude(double altitude) {
		// TODO Auto-generated method stub

	}

	public void gpsNewHeading(double heading) {
		// TODO Auto-generated method stub

	}

	public void gpsNewPDOP(double pdop) {
		// TODO Auto-generated method stub

	}
	
	public void gpsNewRMS(double rms) {
		// TODO Auto-generated method stub
		
	}
	
	public void gpsNewStarfire(int starfire) {
		// TODO Auto-generated method stub
		
	}

	public void gpsNewPosition(double longitude, double latitude) {
		
		Thread thread = new Thread(new ThreadSend(longitude, latitude));
		thread.start();
	}
	
	private class ThreadSend implements Runnable{
		
		private double longitude, latitude;
		
		public ThreadSend(double longitude, double latitude){
			this.latitude = latitude;
			this.longitude = longitude;
		}
		
		public void run() {
			if(idTech != -1 && urlSite != null){
				try{
					//System.out.println(longitude+" - "+latitude);
					NVPair form_data[] = new NVPair[3];
			        form_data[0] = new NVPair("lon", Double.toString(longitude));
			        form_data[1] = new NVPair("lat", Double.toString(latitude));
			        form_data[2] = new NVPair("id", Integer.toString(idTech));
		
					
					URL url = new URL(urlSite);
					HTTPConnection con = new HTTPConnection(url);
					HTTPResponse rsp = con.Post(url.getFile(), form_data);
			         if (rsp.getStatusCode() >= 300)
			         {
			             logger.debug("OpenMISGPSPositionListener ERROR = " +rsp.getReasonLine() + " - " + rsp.getText());
			         }
			         else{
			        	 System.out.println(rsp.getText());
			        	 logger.debug("OpenMISGPSPositionListener  = " +rsp.getText());
			         }
		
					
					
				}catch(Exception ex){
					ex.printStackTrace();
				}
			}	
		}
	}

	public void gpsNewQuality(int quality) {
		// TODO Auto-generated method stub

	}

	public void gpsNewSatsUsed(int satUsed) {
		// TODO Auto-generated method stub

	}

	public void gpsNewStatus(int status) {
		// TODO Auto-generated method stub

	}

}
