/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.gui;

import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;

import org.openmis.tellus.layers.symbo.Dynamisme;

import es.prodevelop.gvsig.mobile.fmap.layer.FAcetateLayer;
import es.prodevelop.gvsig.mobile.fmap.layer.FLyrVect;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class DefaultOpenMISMainWindow extends AbstOpenMISMainWindow {

	private static final long serialVersionUID = -1645267215418456253L;

	public DefaultOpenMISMainWindow(){
		super(700, 440, true, new FAcetateLayer(false));
	}
	
	public DefaultOpenMISMainWindow(int with, int height, boolean isGPSStatusBar, FAcetateLayer faceitate){
		super(with, height, isGPSStatusBar, faceitate);
	}
	
	public void initToolsBars() {
		NavigationInitToolBar.registerInitToolBar(new NavigationInitToolBar(this));
		
		int positions[] = new int[2];
		positions[0] = 0;
		NavigationInitToolBar.getInstance().initToolsCanvas(positions);
	}

	public void initDynamismeDistantTool(Dynamisme dyna, FLyrVect lyr) {
		//nothing todo
	}


	public void onMousePressed(MouseEvent evt, Object src) {
		
		/*if (src.equals(NavigationInitToolBar.getInstance().panButton)) {
			setCurrentTool(NavigationInitToolBar.getInstance().panButton, false);
			//return;
		}*/

		if (src.equals(NavigationInitToolBar.getInstance().standardZoomInToolButton)) {
			NavigationInitToolBar.getInstance().doZoomIn();
			return;
		}

		if (src.equals(NavigationInitToolBar.getInstance().standardZoomOutToolButton)) {
			NavigationInitToolBar.getInstance().doZoomOut();
			return;
		}
		
		/*if (src.equals(NavigationInitToolBar.getInstance().rectZoomInButton)) {
			setCurrentTool(NavigationInitToolBar.getInstance().rectZoomInButton, false);
			return;
		}*/
	}
	
	public void keyPressed(KeyEvent e) {
		int key_code = e.getKeyCode();
		MouseEvent me = null;

		switch (key_code) {

		case 38: // arrow up
			// eqiuals a click on zoom in button:
			me = new MouseEvent(NavigationInitToolBar.getInstance().standardZoomInToolButton, 0, 0, 0, 0, 0, 0, false);
			mouseClicked(me);
			break;
		case 40: // down
			// refresh = moveVertically(-ViewPort.ARROW_KEYS_FACTOR, true);
			me = new MouseEvent(NavigationInitToolBar.getInstance().standardZoomOutToolButton, 0, 0, 0, 0, 0, 0, false);
			mouseClicked(me);
			break;
		}
		super.keyPressed(e);
	}

}
