/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.services;

import org.apache.log4j.Logger;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.gvsig.edition.GvSIGTellusEditionPointManager;
import org.openmis.tellus.layers.DistantEditableLayer;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.gvsig.manager.GvSIGTellusGUIManager;
import org.openmis.tellus.gvsig.manager.GvSIGTellusGeoManager;
import org.openmis.tellus.gvsig.manager.GvSIGTellusProjectManager;

import es.prodevelop.gvsig.mobile.fmap.layer.FLayer;
import es.prodevelop.gvsig.mobile.fmap.layer.FLyrVect;
import es.prodevelop.gvsig.mobile.fmap.layer.SelectableDataSource;

public class ServiceComGvSIGDelete implements DistantService {
	private static Logger logger = Logger.getLogger(ServiceComGvSIGDelete.class);
	public static final String DISTANT_URI = "removeGeometricFromID";
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}

	public void requestSend(DistantSendMessageRequest req) {
		//nothing to do
	}

	public void responseSend(DistantSendMessageResponse res) {
		//nothing to do
	}

	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		
		String id = req.getParameter("ID").getDataValue();
		String fieldName = req.getParameter("fieldName").getDataValue();
		String geoFileName = req.getParameter("geoFileName").getDataValue();
		try{
			GvSIGTellusEditionPointManager.getManager().removePoint(
					GvSIGTellusGeoManager.getManager().getFLyrVect(geoFileName)
					, fieldName
					, id
					, GvSIGTellusGUIManager.getManager().getMapControl()
					);
		}catch(Exception ex){
			res.setErrorMessage(ex.getMessage());
		}
	}


}
