/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.services;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantMessage;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.synchro.common.data.EventFileModification;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceComGvSIGDoSynchro implements DistantService {

	public static String DISTANT_URI = "dosynchro";
	
	private String login, password;
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}
	
	public void setLogin(String login) {
		this.login = login;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}


	public void requestSend(DistantSendMessageRequest req) {
		req.addParameter("login", login, DistantMessage.TYPE_STRING);
		req.addParameter("password", password, DistantMessage.TYPE_STRING);
	}


	public void responseSend(DistantSendMessageResponse arg0) {
		//nothing to do
	}


	public void runCall(DistantCallMessageRequest arg0,DistantCallMessageResponse arg1) {
		//nothing to do
	}

}
