/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.gvsig.services;

import java.util.List;

import org.gvsig.mobile.location.GPSManager;
import org.gvsig.mobile.location.tracklog.RawDataManager;
import org.gvsig.mobile.location.tracklog.TracklogManager;
import org.gvsig.mobile.location.tracklog.WaypointManager;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.gvsig.gui.OWMapControl;
import org.openmis.tellus.gvsig.manager.GvSIGTellusGUIManager;
import org.openmis.tellus.gvsig.manager.GvSIGTellusProjectManager;
import org.openmis.tellus.layers.DistantEditableLayer;
import org.openmis.tellus.layers.DistantLayer;
import org.openmis.tellus.project.DistantProject;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmobileis.common.util.exception.DatabaseException;

import es.prodevelop.gvsig.mobile.app.GvsigMobileApp;
import es.prodevelop.gvsig.mobile.fmap.layer.FLayer;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class ServiceComGvSIGUnloadProject implements DistantService {

	public static String DISTANT_URI = "unloadProject";
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}

	public void requestSend(DistantSendMessageRequest req) {
	}


	public void responseSend(DistantSendMessageResponse res) {
	}


	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		String usedProjectName = req.getParameter("usedProjectName").getDataValue();
		if(usedProjectName != null){
			String error = GvSIGTellusProjectManager.getManager().unloadDistantProject(usedProjectName);
			if(error != null){
				res.setErrorMessage(error);
			}
		}

	}

}
