/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2006 Prodevelop and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *   +34 963862235
 *   gvsig@gva.es
 *   http://www.gvsig.gva.es
 *
 *    or
 *
 *   Prodevelop Integracin de Tecnologas SL
 *   Conde Salvatierra de lava , 34-10
 *   46004 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   gis@prodevelop.es
 *   http://www.prodevelop.es
 *
 *    or
 *
 *   Instituto de Robtica
 *   Apartado de correos 2085
 *   46071 Valencia
 *   (Spain)
 *   
 *   +34 963 543 577
 *   jjordan@robotica.uv.es
 *   http://robotica.uv.es
 *   
 */

package es.prodevelop.gvsig.mobile.common;

/**
 * Utility class with JNI methods used by the PDA only.
 * 
 * @author jldominguez
 *
 */
public class ProcessUtils {
		
		static {
			try {
				System.loadLibrary("processes");
			} catch (Throwable th) {
				System.err.println("Unable to load 'Processes' library!");
			}
		} 

		/**
		 * This method is used to prevent a second instance of the application (it is
		 * the common behavior of the pda applications.)
		 *  
		 * The exe file provided will only be executed if there is no window currently
		 * in the system containing the given string.
		 *   
		 * @param title_part string to be searched
		 * @param exec_file_full_path exe file
		 * @param exec_parameters exe parameters
		 * @return true if the exe file was started, false otherwise
		 * 
		 * @throws UnsatisfiedLinkError
		 */
		public static native boolean startOrForeground(
				String title_part,
				String exec_file_full_path,
				String exec_parameters) throws UnsatisfiedLinkError;
		
		/**
		 * Gets PDA's extension card root path. If the card has more than one card, only
		 * one of them will be returned.
		 * 
		 * @return PDA's extension card root path or NULL if no card was found
		 */
		public static native String getSDCardPath();

		/**
		 * Utility empty method to force the load of the library.
		 *
		 */
		public static void touch() { }

}
