/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.base;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.com.inter.agents.sax.data.CommMessage;
import org.openmis.com.inter.agents.sax.data.CommParameter;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantMessage;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.com.inter.agents.services.distant.DistantServiceManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public abstract class DistantTemplateService extends Service implements DistantService{

	private static int uniqID = 0;
	
	public DistantTemplateService() {
		super();
	}

	public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		this.runTemplate(req, res);
		// recupere le service d'envoi pour faire le redirect
		String uri = req.getParameter("redirectURL");
		
		//--------------- To manage the cach on Internet explorer ------------------------ DONT WORK
		/*uniqID++;
		int index = uri.indexOf("?");
		if(index > -1){
			String beginURI = uri.substring(0, index);
			String endURI = uri.substring(index, uri.length());
			uri = beginURI+"/"+uniqID+endURI;
		}else {
			uri = uri+"/"+uniqID;
		}*/
		//LogManager.traceInfo(0, "DISTANT TEMPLATE SERVICE UNIQ ID : "+uniqID);
		//-------------------------------------------------------------------------------- DONT WORK
			
		
		boolean isException = false, firstpass=true;
		String parametersURI = null;
		if(uri.indexOf("?") == -1){
			parametersURI="?";
		}else{
			parametersURI="&";
		}
		
		try {
			
			DistantSendMessageResponse resp = DistantServiceManager.getManager().runDistantService(getDistantServiceUri());
			List listKeys = resp.getParamKeys();
			for(int j=0;j<listKeys.size();j++){
				String key = (String)listKeys.get(j);
				CommParameter param = resp.getParameter(key);
				if(firstpass){
					parametersURI = parametersURI+key.toLowerCase()+"="+param.getDataValue();
					firstpass = false;
				}else{
					parametersURI = parametersURI+"&"+key.toLowerCase()+"="+param.getDataValue();
				}
			}
			
			//responseSend(resp);
			
		} catch (Exception e) {
			LogManager.traceError(0, "Error DistantTemplateService, send HTTP req : "+e);
			isException = true;		
		}

		if(isException){
			String errorExcp = "Fatal error, please verify gvSIG mobile is running";
			if(uri.indexOf("?") == -1){
				ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+uri+"?error="+errorExcp,req,res);
			}else{
				ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+uri+"&error="+errorExcp,req,res);
			}
		}else{
			//LogManager.traceDebug(0, "PARAMETERS URI : "+parametersURI);
			ServiceManager.getManager().redirectToServiceURI(ServiceManager.getManager().getServiceBaseURI()+uri+parametersURI,req,res);
		}
	}
	
	public abstract void runTemplate(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException;
	public abstract String getDistantServiceUri();
	public abstract void requestSend(DistantSendMessageRequest req);
	//public abstract void responseSend(DistantSendMessageResponse res);	
	public abstract void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res);

}
