/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.distant;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.synchro.terminal.services.TellusGvSIGSynchroService;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.common.ServiceManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class OpenMISDoSynchroDistantService implements DistantService {

	public static String DISTANT_URI = "dosynchro";
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}


	public void requestSend(DistantSendMessageRequest arg0) {

	}


	public void responseSend(DistantSendMessageResponse arg0) {

	}


	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		try{
			String login = req.getParameter("login").getDataValue();
			String password = req.getParameter("password").getDataValue();
			
			TellusGvSIGSynchroService synchro = new TellusGvSIGSynchroService();
			synchro.doSynchro(login, password);
			
		}catch(Exception ex){
			LogManager.traceError(0,ex);
			res.setErrorMessage(ex.getMessage());
		}
	}

}
