/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.distant;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.synchro.common.data.DefaultEventFileModification;
import org.openmis.tellus.synchro.common.data.EventFileModification;
import org.openmis.tellus.synchro.common.service.ServiceEventFileModification;
import org.openmobileis.common.util.log.LogManager;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class OpenMISEventFileModifDistantService implements DistantService {
	public static String DISTANT_URI = "eventfilemodif";
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}


	public void requestSend(DistantSendMessageRequest req) {
	}

	public void responseSend(DistantSendMessageResponse res) {
	}


	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		try{
			String modifSideSt = req.getParameter("modifSide").getDataValue();
			String actionTypeSt = req.getParameter("actionType").getDataValue();
			String fileName = req.getParameter("fileName").getDataValue();
			String projectName = req.getParameter("projectName").getDataValue();
			
			String serverPath = null;
			if(req.getParameter("serverPath") != null){
				serverPath = req.getParameter("serverPath").getDataValue();
				if(serverPath != null && serverPath.length() == 0)
					serverPath = "";
				if(serverPath != null && "null".equals(serverPath))
					serverPath = "";
			}
			
			int actionType = Integer.parseInt(actionTypeSt);
			int modifSide = Integer.parseInt(modifSideSt);
			
			//-------- Do an event file modification to modify the xml project file properties concerned -------
			DefaultEventFileModification event = new DefaultEventFileModification();
			event.setActionType(actionType);
			event.setSideModification(modifSide);
			event.setProjectName(projectName);
			event.setFileName(fileName);
			//event.setServerPath(serverPath);
			new ServiceEventFileModification(event);
		}catch(Exception ex){
			LogManager.traceError(0,ex);
			res.setErrorMessage(ex.getMessage());
		}
	}

}
