/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.distant;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantMessage;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;
import org.openmis.tellus.layers.DistantLayer;
import org.openmis.tellus.project.DistantGPSManager;

public class OpenMISLoadGPSManagerDistantService implements DistantService {

	public static String DISTANT_URI = "loadGPSManager";
	private DistantGPSManager gps = null;
	private String projectName = null;
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}
	
	public void setDistantGPSManager(DistantGPSManager gps, String projectName){
		this.gps = gps;
		this.projectName = projectName;
	}

	public void requestSend(DistantSendMessageRequest req) {
		if(projectName != null && gps != null){
			req.addParameter("projectName", projectName, DistantMessage.TYPE_STRING);
			req.addParameter("isviewgpsposition", Boolean.toString(gps.isViewGPSPosition()), DistantMessage.TYPE_BOOLEAN);
			if(gps.isSimulationFile())
				req.addParameter("simulationfile", gps.getSimulationFilePath(), DistantMessage.TYPE_STRING);
			if(gps.isTrackerFile()){
				req.addParameter("trackerfile", gps.getTrackerFilePath(), DistantMessage.TYPE_STRING);
				if(gps.isAutoGenerationFile()){
					req.addParameter("autogenerationshp", gps.getAutoGenerationFilePath(), DistantMessage.TYPE_STRING);
				}
			}
		}

	}

	public void responseSend(DistantSendMessageResponse res) {
		//nothing todo
	}

	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		//nothing todo
	}

}
