/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.distant.template;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.com.inter.agents.sax.data.CommMessage;
import org.openmis.com.inter.agents.sax.data.CommMessageSOAP;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantServiceManager;
import org.openmis.tellus.service.base.DistantTemplateService;
import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

import es.prodevelop.gvsig.mobile.common.ProcessUtils;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class OpenMISOpenGvSIGDistantTemplateService extends DistantTemplateService {

	public static final String DISTANT_URI = "foregroundApplication";
	public static final String SERVICE_URI = "/com/open/gvsig";
	
	public String getDistantServiceUri() {
		return DISTANT_URI;
	}
	
	public void runTemplate(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		// nothing to do
		LogManager.traceInfo(0,"RUN TEMPLATE OPEN GVSIG MOBILE DISTANT SERVICE CALLED");
	}
	
	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+SERVICE_URI;
	}

	public void requestSend(DistantSendMessageRequest req) {
		//no parameters needed
	}
	
	public void responseSend(DistantSendMessageResponse res) {
		// nothing to do
		
	}
	
	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		// Pour le moment avec la dll de Prodevelop mais apres seulement faire un appel de launcher.exe de openmis (qui ne fonctionne pas pr le moment)
		try{
			System.loadLibrary("processes");
			LogManager.traceInfo(0, "Open Pocket IE (processes.dll): "
					+PropertiesManager.getManager().getProperty("org.openmobileis.embedded.execprog.browser")
					+" without params");
			
			ProcessUtils.startOrForeground("Internet Explorer"	//nom de la fenetre a ouvrir
											,PropertiesManager.getManager().getProperty("org.openmobileis.embedded.execprog.browser")
											,"");	//no params
			
			
			LogManager.traceInfo(0,"OPEN GVSIG MOBILE DISTANT SERVICE CALLED");
			
		}catch(Throwable ex){
			LogManager.traceError(0,"Error SIGTemplateService, Library processes not FOUND : "+ex);
			res.setErrorMessage("not found processes.dll");
		}
	}

}
