/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.service.impl;

import org.openmis.com.inter.agents.services.datas.DistantCallMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantCallMessageResponse;
import org.openmis.com.inter.agents.services.datas.DistantMessage;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageRequest;
import org.openmis.com.inter.agents.services.datas.DistantSendMessageResponse;
import org.openmis.com.inter.agents.services.distant.DistantService;

public class OpenMISDeleteObjectDistantService implements DistantService {

	public final String URI = "removeGeometricFromID";
	
	private String idObject = null;
	private String geoFieldName = null;
	private String geoFileName = null;
	
	public String getDistantServiceUri() {
		return URI;
	}
	
	public void setGeoFieldName(String geoFieldName) {
		this.geoFieldName = geoFieldName;
	}
	
	public void setGeoFileName(String geoFileName) {
		this.geoFileName = geoFileName;
	}
	
	public void setIDObject(String idObject) {
		this.idObject = idObject;
	}

	public void requestSend(DistantSendMessageRequest req) {
		req.addParameter("ID", this.idObject, DistantMessage.TYPE_STRING);
		req.addParameter("fieldName", this.geoFieldName, DistantMessage.TYPE_STRING);
		req.addParameter("geoFileName", this.geoFileName, DistantMessage.TYPE_STRING);
	}

	public void responseSend(DistantSendMessageResponse res){
		
	}
	
	public void runCall(DistantCallMessageRequest req, DistantCallMessageResponse res) {
		// TODO when gvSIG call this service
	}

}
