/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.common.data;


/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Default implementation of a EventFileModification object.<BR>
 * @author	Manuel Gomez-Rosado
 * @version 1.0.
 * @see ProjectModificationServiceListener, EventFileModification
 */
public class DefaultEventFileModification implements EventFileModification {
	static final long serialVersionUID = 5521257935120563452L;
	private int sideModif;
	private int actionType;
	private String projectName;
	private String fileName;
	//private String serverPath;
	
	
	public DefaultEventFileModification() {
		super();
	}	
	
	public void setSideModification(int sideModif) {
		this.sideModif = sideModif;
	}
	public int getSideModification() {
		return this.sideModif;
	}
	

	public void setActionType(int actionType) {
		this.actionType = actionType;
	}
	public int getActionType() {
		return this.actionType;
	}


	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	public String getProjectName() {
		return this.projectName;
	}
	

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getFileName() {
		return this.fileName;
	}


	/*public void setServerPath(String serverPath) {
		this.serverPath = serverPath;
	}
	public String getServerPath() {
		return this.serverPath;
	}*/

}
