/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.common.data;

import org.openmobileis.common.util.UniqueIdGenerator;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.synchro.algo.replication.SynchroAtomicObject;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class DefaultSynchroLayer implements SynchroAtomicObject {
	 static final long serialVersionUID = 5521257935120563452L;
	 
	 
	 private long syncNumber;
	 private long creationDate;
	 private String checksum;
	 private String ID;
	 private short modificationType;
	 private String fileName;
	 private String projectName;
	
	
	public DefaultSynchroLayer() {
		this.ID = UniqueIdGenerator.getManager().getNewStringID();
	}
	 
	public DefaultSynchroLayer(String id) {
	    this.ID = id;
	}

	public String getUID() {
		return this.ID;
	}


	public String getCheckSum() {
		return this.checksum;
	}

	public void setCheckSum(String sum) {
		this.checksum = sum;
	}


	public long getCreationDate() {
		return this.creationDate;
	}
	
	public void setCreationDate(long creationDate){
		this.creationDate = creationDate;
	}


	public long getModifSyncNumber() {
		return this.syncNumber;
	}

	public void setModifSyncNumber(long ts) {
		this.syncNumber = ts;
	}


	public short getModificationType() {
		return modificationType;
	}


	public void setModificationType(short type) throws DatabaseException {
	    modificationType = type;
	 }
	
	
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getProjectName() {
		return projectName;
	}
	
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	//Suppress because it's not a main fonction and is abble to cause many problem during synchro
	
	/*public String getServerPath() {
		return serverPath;
	}

	public void setServerPath(String serverPath) {
		this.serverPath = serverPath;
	}*/

	public boolean equals(Object obj) {
	    if (obj instanceof SynchroAtomicObject) {
	      if(((SynchroAtomicObject)obj).getUID().equals(ID)) {
	        return true;
	      }
	    }
	    return false;
	  }
	
	  public int hashCode() {
	    return ID.hashCode();
	  }

}
