/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.common.xml;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import org.openmis.tellus.synchro.common.data.DefaultSynchroLayer;
import org.openmobileis.common.util.collection.Array;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class XMLProjectFileGenerator implements XMLGenerator {

	private static final char[] lineSeparator = System.getProperty("line.separator").toCharArray();
	private InputStream in;
	
	
	public XMLProjectFileGenerator() {
		super();
	}

	public void generateNewXMLProjectFile(Array layers) {

		StringBuffer stringFile = new StringBuffer();
		stringFile.append("<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>").append(lineSeparator);
		
		for(int i=0;i<layers.size();i++){
			DefaultSynchroLayer layer = (DefaultSynchroLayer)layers.get(i);
			if(layer != null){
				//stringFile.append("<layer ID=\""+layer.getUID()+"\" creationDate=\""+layer.getCreationDate()+"\" syncNumberModif=\""+layer.getModifSyncNumber()+"\" filename=\""+layer.getFileName()+"\" serverPath=\""+layer.getServerPath()+"\"/>").append(lineSeparator);
				stringFile.append("<layer ID=\""+layer.getUID()+"\" creationDate=\""+layer.getCreationDate()+"\" syncNumberModif=\""+layer.getModifSyncNumber()+"\" filename=\""+layer.getFileName()+"\" projectName=\""+layer.getProjectName()+"\"/>").append(lineSeparator);
			}	
		}

		this.in = new ByteArrayInputStream(stringFile.toString().getBytes()) ;
	}


	public InputStream getInputStreamXML() {
		return this.in;
	}

}
