/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.server.listeners;

import org.openmobileis.common.util.UniqueIdGenerator;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberManagerDelegate;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberNotFoundException;
import org.openmobileis.synchro.algo.syncnumber.SynchroNumber;
import org.openmobileis.synchro.algo.syncnumber.impl.SyncNumberQueryManager;
import org.openmobileis.synchro.openmsp.client.core.NumSyncManagerDB;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class LayersSyncNumberManagerDelegate implements SyncNumberManagerDelegate {
	//private long syncnumber = 0;

	public LayersSyncNumberManagerDelegate() {
		super();
	}


	public void setSyncNumberFactory(SyncNumberQueryManager fac) {
		//not use
	}


	public void initDelegate() {
		long newSyncnumber = UniqueIdGenerator.getManager().getNewID();
		NumSyncManagerDB.getManager().saveSyncNumberForService(newSyncnumber,"syncNumber");
	}


	public SynchroNumber getSynchroNumber(long ns) throws SyncNumberNotFoundException {
		return new SynchroNumber(ns, ns);
	}


	public SynchroNumber getNextSynchroNumber() throws DatabaseException {
		//----------------- Generate the SyncNumber, the uniqueIDgenerator guarantee a unique String superior for each synchro
	    long newSyncnumber = UniqueIdGenerator.getManager().getNewID();
	    NumSyncManagerDB.getManager().saveSyncNumberForService(newSyncnumber,"syncNumber");
	    return new SynchroNumber(newSyncnumber, newSyncnumber);
	}


	public long getCurrentSynchroNumber() throws DatabaseException {
		return NumSyncManagerDB.getManager().getSyncNumberForService("syncNumber");
	}


	public void deleteSyncNumber(SynchroNumber ns) throws DatabaseException {
		//not use
	}

	public void createSynchroNumber(long ns, long timestamp) throws DatabaseException {
		//not use
	}


	public void setTimeStampForSynchroNumber(long syncNumber)throws SyncNumberNotFoundException {
		//not use
	}

	public long getTimeStampForSynchroNumber(long syncNumber) throws SyncNumberNotFoundException {
		return syncNumber;
	}

}
