/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.terminal.conflict.resolver;

import org.openmobileis.synchro.algo.replication.ReplicationSAOEvent;
import org.openmobileis.synchro.algo.replication.SynchroAtomicObject;
import org.openmobileis.synchro.algo.replication.SynchroConflicResolver;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public class SynchroLayerConflicResolverServerWin implements SynchroConflicResolver {


	public SynchroLayerConflicResolverServerWin() {
		super();
	}


	public ReplicationSAOEvent resolveReplaceandModified(SynchroAtomicObject serverao) {
	    
		System.out.println("CONFLICT REPLACE AND MODIFIED(BOTH SIDE MODIFIED) ID : "+serverao.getUID()+" Server WIN with modificationType : UPDATE ON CLIENT SIDE");
		//case of both side modifications -> Server WIN
		ReplicationSAOEvent eventAO = new ReplicationSAOEvent(serverao.getUID());
	    eventAO.setUpdateSide(ReplicationSAOEvent.CLIENT_SIDE);
	    eventAO.setTypeModif(ReplicationSAOEvent.UPDATE);
	    eventAO.setAobject(serverao);
	    return eventAO;
	}


	public ReplicationSAOEvent resolveAddandPresent(SynchroAtomicObject ao) {
		//not use because unique ID for each layers
		return null;
	}


	public ReplicationSAOEvent resolveReplaceandDeleted(SynchroAtomicObject aoserver) {
		System.out.println("CONFLICT MODIFY(CLIENT) AND DELETED(SERVER) ID : "+aoserver.getUID()+" AO Server, Server WIN with modificationType : CREATE ON CLIENT SIDE");
		
		ReplicationSAOEvent eventAO = new ReplicationSAOEvent(aoserver.getUID());
	    eventAO.setUpdateSide(ReplicationSAOEvent.CLIENT_SIDE);
	    eventAO.setTypeModif(ReplicationSAOEvent.CREATE);
	    eventAO.setAobject(aoserver);
	    return eventAO;
	}


	public ReplicationSAOEvent resolveDeleteandModified(SynchroAtomicObject aoclient) {
		System.out.println("CONFLICT DELETE(CLIENT) AND MODIFIED(SERVER) ID : "+aoclient.getUID()+" AO Client, Server WIN with modificationType : DELETE ON CLIENT SIDE");
	
		ReplicationSAOEvent eventAO = new ReplicationSAOEvent(aoclient.getUID());
	    eventAO.setUpdateSide(ReplicationSAOEvent.CLIENT_SIDE);
	    eventAO.setTypeModif(ReplicationSAOEvent.DELETE);
	    eventAO.setAobject(aoclient);
	    return eventAO;
	}

}
