/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.terminal.listeners;


import org.openmis.tellus.synchro.common.data.DefaultSynchroLayer;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.collection.Orderable;
import org.openmobileis.common.util.collection.Sort;
import org.openmobileis.synchro.algo.replication.ReplicationSAOEvent;
import org.openmobileis.synchro.algo.replication.SynchroAtomicObject;

/**
 * @author Manuel Gomez-Rosado
 *
 */
public final class LayersGeneratorForXML implements Orderable {

	
	public LayersGeneratorForXML(){
		super();
	}
	
	
	public Array generateNewXMLProjectFile(SynchroAtomicObject[] listAOServ, ReplicationSAOEvent[] listEventsServ) throws Exception{

		DefaultSynchroLayer listAOEventsServ[] = new DefaultSynchroLayer[listEventsServ.length];
		for(int i=0;i<listEventsServ.length;i++){
			listAOEventsServ[i] = new DefaultSynchroLayer(Integer.toString(i));
			listAOEventsServ[i] = (DefaultSynchroLayer)listEventsServ[i].getAtomicObject();
		}
		
		
		
		if (listAOServ.length >1)	{
			Sort.shellsort(listAOServ, this);
		}
		if (listAOEventsServ.length >1)	{
			Sort.shellsort(listAOEventsServ, this);
		}
		
		int comptServ = 0;
		int comptServEvents = 0;
		
		Array layers = new Array();
		
		while (comptServ < listAOServ.length && comptServEvents < listAOEventsServ.length) {
			DefaultSynchroLayer layerAO = (DefaultSynchroLayer)listAOServ[comptServ];
			DefaultSynchroLayer layerEvent = (DefaultSynchroLayer)listAOEventsServ[comptServEvents];
			
			String serverUID = layerAO.getUID();
			String eventUID = layerEvent.getUID();
		 
			if (serverUID.equals(eventUID)){				
				//------------NOT POSSIBLE
				/*if(layerEvent.getModificationType() == SynchroAtomicObject.ADD){
				}*/		
				if(layerEvent.getModificationType() == SynchroAtomicObject.REPLACE){
					layers.add(layerEvent);
				}
				//if delete we do nothing (not add in the file)
				comptServ++;
				comptServEvents++;
			}else if (serverUID.compareTo(eventUID) > 0) {
				layers.add(layerEvent);
				comptServEvents++;
			}else {
				layers.add(layerAO);
				comptServ++;
			}
		}
		
		if (comptServ >= listAOServ.length) {
			if (comptServEvents < listAOEventsServ.length) {
				for (; comptServEvents < listAOEventsServ.length; comptServEvents++) {
					
					DefaultSynchroLayer layerEvent = (DefaultSynchroLayer)listAOEventsServ[comptServEvents];
					layers.add(layerEvent);
				}
			}
		} else { // firstTab not finished ==> second one is finished.
			for (; comptServ < listAOServ.length; comptServ++) {
				
				DefaultSynchroLayer layerAO = (DefaultSynchroLayer)listAOServ[comptServ];
				layers.add(layerAO);
			}
		}
		
		return layers;
	}

	//	 < 0 if p1 < p2, 0 if equal, > 0 if p1 > p2
	public int compareTo(Object AO1, Object AO2) {
		String AoID1 = ((SynchroAtomicObject)AO1).getUID();
		String AoID2 = ((SynchroAtomicObject)AO2).getUID();
   
		return AoID1.compareTo(AoID2);
	}
	

	

}

	