/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.terminal.services.tellus;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;

import org.openmis.bittorrent.client.ClientBittorrent;
import org.openmis.bittorrent.client.OpenMISClientBittorrent;
import org.openmis.bittorrent.client.OpenMISStorageListener;
import org.openmis.tellus.exception.SIGException;
import org.openmis.tellus.gvsig.manager.GvSIGTellusProjectManager;
import org.openmis.tellus.layers.DistantLayer;
import org.openmis.tellus.project.DistantProject;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.project.parser.DistantProjectObjectExtractor;
import org.openmis.tellus.synchro.common.data.DefaultSynchroLayer;
import org.openmis.tellus.synchro.common.data.SynchroGeograhicProfil;
import org.openmis.tellus.synchro.common.data.SynchroProject;
import org.openmis.tellus.synchro.common.xml.ParseXMLProject;
import org.openmis.tellus.synchro.terminal.project.ProjectProfilManager;
import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.algo.replication.SynchroAtomicObject;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public abstract class AbsSyncFactory {

	public AbsSyncFactory(){
		
	}
	
	public DistantProject getDistantProject() throws DatabaseException, FileNotFoundException, SAXException{
		DistantProject project = DistantProjectManager.getManager().getCurrentDistantProject();
		if(project == null){
			loadDistantProject();
		}
		
		return DistantProjectManager.getManager().getCurrentDistantProject();
	}
	
	public void loadDistantProject()throws FileNotFoundException, SAXException{
		String path = PropertiesManager.getManager().getProperty("org.openmobileis.synchro.direct.installpath")
		+File.separator+"TELLUS_OWPROJECT"+File.separator+"OWSIGProjects.xml";

		File file = new File(path);		
		InputStream in = new FileInputStream(file);
		DistantProjectObjectExtractor.getObject(in, PropertiesManager.getManager().getProperty("org.openmobileis.synchro.direct.installpath"));
	}
	
	
	
}
