/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Tellus module - for mobile GIS applications
 * Copyright (C) 2004-2006 Philippe Delrieu - 2008-2009 Manuel Gomez
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org; mgomez@ubikis.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author OpenMosbileIS: Philippe Delrieu
 *  Author Tellus module : Manuel Gomez
 */
package org.openmis.tellus.synchro.terminal.services.tellus;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileReader;
import java.io.InputStream;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmis.bittorrent.client.ClientBittorrent;
import org.openmis.bittorrent.client.OpenMISClientBittorrent;
import org.openmis.com.inter.agents.services.distant.DistantServiceManager;
import org.openmis.tellus.exception.SIGException;
import org.openmis.tellus.project.DistantProject;
import org.openmis.tellus.project.DistantProjectManager;
import org.openmis.tellus.project.parser.DistantProjectObjectExtractor;
import org.openmis.tellus.service.distant.OpenMISLoadProjectDistantService;
import org.openmis.tellus.service.distant.OpenMISSynchroDistantService;
import org.openmis.tellus.service.distant.OpenMISUnLoadProjectDistantService;
import org.openmis.tellus.synchro.common.data.DefaultSynchroLayer;
import org.openmis.tellus.synchro.common.data.SynchroGeograhicProfil;
import org.openmis.tellus.synchro.common.data.SynchroProject;
import org.openmis.tellus.synchro.common.xml.ParseXMLProject;
import org.openmis.tellus.synchro.terminal.project.ProjectProfilManager;
import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.algo.replication.SynchroAtomicObject;

import freemarker.template.TemplateModelRoot;

/**
 * @author Manuel GOMEZ ROSADO
 *
 */
public class OpenMISDirectSyncFactory extends AbsSyncFactory implements TellusSynchronisationFactory {

	public void preProcessSynchronisation() {
	    try{
	    	
	    	OpenMISUnLoadProjectDistantService service = (OpenMISUnLoadProjectDistantService)DistantServiceManager.getManager().getDistantServiceByURI(
	    			OpenMISUnLoadProjectDistantService.DISTANT_URI);
	    	
			DistantProject project = getDistantProject();

	    	if(project != null){
	    		service.setUnloadDistantProject(project);
	    		DistantServiceManager.getManager().runDistantService(OpenMISUnLoadProjectDistantService.DISTANT_URI);
				//Thread.sleep(500);	//wait the time to unload all files in gvsigMobile
	    	}
	    	
	    	    	
	    }catch(Exception ex){
	    	LogManager.traceError(0, ex);
	    }
	}
	
	
	
	public void postProcessSynchronisation() {
		try{
			loadDistantProject();
							
			OpenMISLoadProjectDistantService service = (OpenMISLoadProjectDistantService)DistantServiceManager.getManager().getDistantServiceByURI(OpenMISLoadProjectDistantService.DISTANT_URI);
			DistantProject project = DistantProjectManager.getManager().getCurrentDistantProject();

			
			if(project != null){
				service.setCurrentDistantProject(project);
				DistantServiceManager.getManager().runDistantService(service.getDistantServiceUri());
				DistantServiceManager.getManager().runDistantService(OpenMISSynchroDistantService.DISTANT_URI);
			}
			
			
		}catch(Exception ex){
	    	LogManager.traceError(0, ex);
		}	
	}
	
	
	
}
